import { css } from '@microsoft/fast-element';
const BACKGROUND_COLOR = '#EF5547';
/** Class to use when there are no items */
export const noItemsClass = 'no-items';
/** Name of the attribute that tells to hide the counter when there are no items */
export const hideWhenNoItemsAttribute = 'hide-when-no-items';
export const FoundationInboxCounterStyles = css `
  :host {
    display: inline-block;
    min-width: 16px;
    height: 16px;
    border-radius: 9px;
    text-align: center;
    color: #fff;
    line-height: 16px;
    font-size: 9px;
    font-weight: 700;
    background: ${BACKGROUND_COLOR};
    pointer-events: none;
  }

  :host(.${noItemsClass})[${hideWhenNoItemsAttribute}] {
    display: none;
  }
`;
